﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using CSharpSamples_Khoshamoz.OOP;
using System.Text.RegularExpressions;
using System.Data.SqlClient;
using System.Reflection;

namespace CSharpSamples_Khoshamoz.Samples
{
    public partial class FrmSample058 : Form
    {
        public FrmSample058()
        {
            InitializeComponent();
        }

        private void btnDo_Click(object sender, EventArgs e)
        {
            Type type = typeof(clsReflection);
            MethodInfo[] mInfo = type.GetMethods();

            foreach (var item in mInfo)
            {
                if (item.IsSpecialName) continue;
                txtResult.Text += string.Format("{0}    {1}", item.Name, item.ReturnType) + Environment.NewLine;

                ParameterInfo[] paramInfo = item.GetParameters();

                foreach (var param in paramInfo)
                {
                    txtResult.Text += string.Format("{0}    {1}", param.Name, param.ParameterType) + Environment.NewLine;
                }
                txtResult.Text += Environment.NewLine;
            }
        }

    }
}
